Sound works for a while, then randomly stops working in 8.10

Bug #315824 reported by liquidpele on 2009-01-10
44
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

This has happened twice in a week, and appears to happen randomly.
This is on a new computer, ASUS P5KPL-CM mobo with intel core 2 quad.
Only strange thing about the system is I installed the 8.10 server kernel and run that so it will actually see all 4 GB of ram - I installed it normally through apt-get though so I don't believe that should be a problem and everything else works okay.

Totem player would just hang, and mplayer gave me the error seen in the attached screenshot.

After the latest time, I tried the following:

#>alsa force-reload
/sbin/alsa: 219: cannot create /var/run/alsa/modules-removed: Permission denied

#>sudo alsa force-unload
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
Unloading ALSA sound driver modules: (none loaded).

#> sudo alsa force-reload
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.

After that, gnome says I have no sound device.. aplay -l gives this:
aplay: device_list:215: no soundcards found...

I tried most of the applicable things to try on other bug reports, but most of them appear to be issues with pulseaudio that keeps sound from working on boot. With my situation, sound works find after boot for a few days and then stops, and a reboot fixes the problem temporarily.

My sound card info using alsa-info.sh is here (taken after gnome says no sound devices):
http://www.alsa-project.org/db/?f=187765d528c594e3050308d0ab075360a159126c

Please let me know what other information you might need and I'll supply it.

liquidpele (liquidpele) wrote :
liquidpele (liquidpele) wrote :

Adding dmesg output (while system says there is no sound card).

liquidpele (liquidpele) wrote :

After reboot, sound works again.... here are some of the same commands with the working system:

root@ubuntudesktop:~# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: VT1708B Analog [VT1708B Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: VT1708B Digital [VT1708B Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

alsa-info.sh output:
http://www.alsa-project.org/db/?f=576ebf32b3117195dfa0b0928130f2db612e84ec

I then tried the alsa force-unload and alsa force-reload commands and then aplay -l shows no sound card again, so it looks like that part was broken from my debugging. Should it loose track of the hardware like that, is that another bug?

root@ubuntudesktop:~# alsa force-unload
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
Terminating processes: 6029 6190lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
Unloading ALSA sound driver modules: snd-hda-intel snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc.
root@ubuntudesktop:~# alsa force-reload
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/reece/.gvfs
      Output information may be incomplete.
Unloading ALSA sound driver modules: (none loaded).
Loading ALSA sound driver modules: (none to reload).
root@ubuntudesktop:~# aplay -l
aplay: device_list:215: no soundcards found...

Next time the sound stops, I won't mess with alsa since it looks like that makes things worse, but please let me know what information you need while my system is in that state.

Chris Crisafulli (itnet7) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it without more information.

Please include the information requested from the "Reporting Sound Bugs" section of https://wiki.ubuntu.com/DebuggingSoundProblems as separate attachments.

Also If you use the Live CD of the same version on the same machine, do you still have the random sound stopping?

liquidpele (liquidpele) wrote :

Okay, I will go through the debugging procedures from that page next time it happens.

It would be difficult to use the live CD to test though though, as it takes days for the issue to come up and this is my main desktop machine. What exactly would that mean if it didn't happen with the live CD?

Chris Crisafulli (itnet7) wrote :

The sound Packages in the LIVECD are at a certain package level by default, so by using a LIVECD if your sound worked flawlessly the problem could get narrowed down to specific packages that maintainers know have changed.

liquidpele (liquidpele) wrote :

The problem is back. No sound. Here is the information from your sound troubleshooting page as you requested:

1) Checked all volume levels. Everything is good. Plus, sound was working this morning and I have not adjusted anything.

2) output from /proc/asound/cards

reece@ubuntudesktop:~$ cat /proc/asound/cards
 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfea78000 irq 16

3) specifically allowing my user to "user sound devices" did not help.

4) Trying to test in the preferences -> sound section gives this error for auto detect:

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Failed to connect: Connection refused

and this error for the OSS Sound Server:

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Could not open audio device for playback. Device is being used by another application.

And this error for ALSA:

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Could not open audio device for playback. Device is being used by another application.

And this error for pulse audio:

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Failed to connect: Connection refused

5) output of lsmod | grep snd (I only have one onboard sound card though).

reece@ubuntudesktop:~$ lsmod | grep snd
snd_hda_intel 381360 9
snd_pcm_oss 46720 0
snd_mixer_oss 22784 1 snd_pcm_oss
snd_pcm 83332 4 snd_hda_intel,snd_pcm_oss
snd_seq_dummy 10884 0
snd_seq_oss 38400 0
snd_seq_midi 14336 0
snd_rawmidi 29696 1 snd_seq_midi
snd_seq_midi_event 15232 2 snd_seq_oss,snd_seq_midi
snd_seq 57776 6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer 29832 3 snd_pcm,snd_seq
snd_seq_device 15116 5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
snd 63268 24 snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore 15328 1 snd
snd_page_alloc 16264 2 snd_hda_intel,snd_pcm

6) The output from the alsa-info.sh script while the problem is occuring and before I tried to do *anything* to fix it is here:

http://www.alsa-project.org/db/?f=bfcf3fb9c71d54adf4d58f0bc3776555972aabbf

7) output of aplay -l

reece@ubuntudesktop:~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: VT1708B Analog [VT1708B Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: VT1708B Digital [VT1708B Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

--

At this point, I feel like I've give you everything you could possibly want. Please let me know if you need anything else.

liquidpele (liquidpele) wrote :

Killing the pulseaudio process and starting it again with "pulseaudio -D" fixes the problem.

I searched for related pulseaudio bugs, and did not see any that matched my issue completely. All the ones I saw were for previous released prior to 8.10, and/or were where sound stops working immediately after boot unlike my issue where it stops working randomly.

I grepped all of /var/log for "pulseaudio" and noticed these errors which happened when I was not doing anything sound related (this block of errors repeats a few times). I'm not sure if it's related or not but it happened the night before my sound stopped:

/var/log/messages:Jan 19 20:10:06 ubuntudesktop pulseaudio[19021]: ltdl-bind-now.c: Failed to find original dlopen loader.
/var/log/messages:Jan 19 20:10:06 ubuntudesktop pulseaudio[19023]: pid.c: Stale PID file, overwriting.
/var/log/messages:Jan 19 20:10:06 ubuntudesktop pulseaudio[19023]: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
/var/log/messages:Jan 19 20:10:06 ubuntudesktop pulseaudio[19023]: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
/var/log/messages:Jan 19 20:47:58 ubuntudesktop pulseaudio[19630]: ltdl-bind-now.c: Failed to find original dlopen loader.
/var/log/messages:Jan 19 20:47:58 ubuntudesktop pulseaudio[19639]: pid.c: Stale PID file, overwriting.
/var/log/messages:Jan 19 20:47:58 ubuntudesktop pulseaudio[19639]: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
/var/log/messages:Jan 19 20:47:58 ubuntudesktop pulseaudio[19639]: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted

liquidpele (liquidpele) wrote :

The problem has occured again. Everythings looks normal just as before, but sound will not play.

The only new error in any logs related to pulseaudio is this:
/var/log/user.log:Jan 21 14:02:30 ubuntudesktop pulseaudio[27163]: protocol-native.c: Failed to push data into queue

Another weird thing is that running it with the --check command, which should tell me if a running process already exists or not, gives this error:

reece@ubuntudesktop:~$ pulseaudio --check
W: ltdl-bind-now.c: Failed to find original dlopen loader.

But clearly it is running:

reece@ubuntudesktop:~$ ps -A | grep pulseaudio
27163 ? 00:23:14 pulseaudio

So I killed the process with kill -9 and attempted to restart again with the -D option, but I got the same "Failed to find original dlopen loader" message again this time.

So I figure something might be up with alsa.... I checked /var/log for messages from alsa and found this:

/var/log/user.log:Jan 21 23:50:46 ubuntudesktop pulseaudio[32629]: module.c: Failed to load module "module-alsa-sink" (argument: "device_id=0 sink_name=alsa_output.pci_8086_27d8_sound_card_0_alsa_playback_0"): initialization failed.
/var/log/user.log.0:Jan 14 07:00:42 ubuntudesktop pulseaudio[6047]: alsa-util.c: Error opening PCM device hw:0: Device or resource busy

This time, the issue was resolved by a force-reload on alsa:

reece@ubuntudesktop:~$ alsa force-reload
mkdir: cannot create directory `/var/run/alsa': Permission denied
/sbin/alsa: Warning: Failed to create /var/run/alsa/.
/sbin/alsa: Warning: Not keeping list of removed modules because /var/run/alsa is absent.
It will not be possible automatically to reload these modules.
Unloading ALSA sound driver modules:/sbin/alsa: 219: cannot create /var/run/alsa/modules-removed: Directory nonexistent
 snd-hda-intel snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc.
mkdir: cannot create directory `/var/run/alsa': Permission denied
Loading ALSA sound driver modules: (none to reload).

After that, I have sound again, and alsa started pulseaudio automatically for me (since I was getting an error trying to start it manually this time, I suppose that's good).

THEN.... I noticed pulseaudio stopped on it's own, but I still have sound!?

reece@ubuntudesktop:~$ pulseaudio -D
W: ltdl-bind-now.c: Failed to find original dlopen loader.
E: main.c: daemon startup failed.
reece@ubuntudesktop:~$ ps -A | grep pulseaudio
32629 ? 00:00:00 pulseaudio
reece@ubuntudesktop:~$ pulseaudio -k
W: ltdl-bind-now.c: Failed to find original dlopen loader.
reece@ubuntudesktop:~$ kill -9 32629
bash: kill: (32629) - No such process
reece@ubuntudesktop:~$ ps -A | grep pulseaudio
reece@ubuntudesktop:~$ ps -A | grep pulseaudio
reece@ubuntudesktop:~$ ps -A | grep pulseaudio
reece@ubuntudesktop:~$ pulseaudio -D
W: ltdl-bind-now.c: Failed to find original dlopen loader.

Then starting some music made the pulseaudio process run again, and stay running.

There definitely seems to be some kind of issue between alsa and pulseaudio....

Just had a user in ubuntu-uk with this issue.

Ubuntu 8.10
Desktop Computer - installed from LiveCD.

Running:
pulseaudio -k
pulseaudio -D
Gave him sound back (don't know for how long though).

His aplay -l outbut is below:
      aplay -l
      **** List of PLAYBACK Hardware Devices ****
      card 0: V8237 [VIA 8237], device 0: VIA 8237 [VIA 8237]
        Subdevices: 4/4
        Subdevice #0: subdevice #0
        Subdevice #1: subdevice #1
        Subdevice #2: subdevice #2
        Subdevice #3: subdevice #3
      card 0: V8237 [VIA 8237], device 1: VIA 8237 [VIA 8237]
        Subdevices: 1/1
        Subdevice #0: subdevice #0

brianbowers (brian-j-bowers) wrote :

I'm having the same issue. When I boot up, the sound works for a while, but then stops randomly. When it fails, this is what I get when I click 'Test' in Systerm>Preferences>Sound:
audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink: Failed to connect: Connection refused

~$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Live [Dell Sound Blaster Live!], device 0: emu10k1x [EMU10K1X Front]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 1: emu10k1x [EMU10K1X Rear]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 2: emu10k1x [EMU10K1X Center/LFE]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

~$ alsa force-reload
mkdir: cannot create directory `/var/run/alsa': Permission denied
/sbin/alsa: Warning: Failed to create /var/run/alsa/.
/sbin/alsa: Warning: Not keeping list of removed modules because /var/run/alsa is absent.
It will not be possible automatically to reload these modules.
Unloading ALSA sound driver modules:/sbin/alsa: 219: cannot create /var/run/alsa/modules-removed: Directory nonexistent
 snd-emu10k1x snd-ac97-codec snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc.
mkdir: cannot create directory `/var/run/alsa': Permission denied
Loading ALSA sound driver modules: (none to reload).

primo6711 (bchukwu) wrote :

i have the same problem

Hey dude:

Try this series of commands to stop/restart sound:

  killall pulseaudio
  sudo alsa force-reload
  pulseaudio -D

I put them in a handy little script called "fixalsa.sh".

Doesn't exactly *fix* the problem, but at least I don't have to reboot every
time.

Good luck!

Brian

On Tue, Jan 12, 2010 at 7:30 PM, primo6711 <email address hidden> wrote:

> i have the same problem
>
> --
> Sound works for a while, then randomly stops working in 8.10
> https://bugs.launchpad.net/bugs/315824
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
>
> This has happened twice in a week, and appears to happen randomly.
> This is on a new computer, ASUS P5KPL-CM mobo with intel core 2 quad.
> Only strange thing about the system is I installed the 8.10 server kernel
> and run that so it will actually see all 4 GB of ram - I installed it
> normally through apt-get though so I don't believe that should be a problem
> and everything else works okay.
>
> Totem player would just hang, and mplayer gave me the error seen in the
> attached screenshot.
>
> After the latest time, I tried the following:
>
> #>alsa force-reload
> /sbin/alsa: 219: cannot create /var/run/alsa/modules-removed: Permission
> denied
>
> #>sudo alsa force-unload
> lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system
> /home/reece/.gvfs
> Output information may be incomplete.
> lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system
> /home/reece/.gvfs
> Output information may be incomplete.
> Unloading ALSA sound driver modules: (none loaded).
>
> #> sudo alsa force-reload
> lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system
> /home/reece/.gvfs
> Output information may be incomplete.
> lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system
> /home/reece/.gvfs
> Output information may be incomplete.
>
> After that, gnome says I have no sound device.. aplay -l gives this:
> aplay: device_list:215: no soundcards found...
>
> I tried most of the applicable things to try on other bug reports, but most
> of them appear to be issues with pulseaudio that keeps sound from working on
> boot. With my situation, sound works find after boot for a few days and
> then stops, and a reboot fixes the problem temporarily.
>
> My sound card info using alsa-info.sh is here (taken after gnome says no
> sound devices):
> http://www.alsa-project.org/db/?f=187765d528c594e3050308d0ab075360a159126c
>
> Please let me know what other information you might need and I'll supply
> it.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/315824/+subscribe
>

Viktor (vikveg) wrote :

Thanks!
It works!!!

Victor

JoseLuisTriana (theunfor) wrote :

What tha heck do you need to give us a fully functional sound support with VIA sound cards?? this bug is incomplete, this bug affects me too, this bug is still present in Ubuntu Lucid. I answered to alsa guys what's up with their drivers, so thanks to them I realized that the problem is with you and PulseAudio, so... what are you waiting for?? you have to make a real solution, what kind of information do you need from me and all users with this issue/bug?? you gotta tell me, you gotta tell us, to everybody... What are you waiting for to make Ubuntu a Linux for human beings? Fedora, Mandriva, they are distributions that had integrated the support for PulseAudio... what tha heck is happening people!! Help Us to Help You to Improve our sound support!!!!! no more about restarting the PA or force-reloading ALSA, No more!! we're sick about that, and for my case; just give me please in a list the information do you need in order that I can Upload here FAST and I'm talking seriously.. I don't care about nothing, just information.

And Regards to everybody.

Chris Crisafulli (itnet7) wrote :

If you would like to provide real information that can help shed light on the issue that you are experiencing you can follow this Documentation: https://help.ubuntu.com/community/ReportingBugs

SicoBulo,

The easiest way you can help is to hit Alt + F2 and type in the following: ubuntu-bug linux

A window should pop-up letting you know that it's generating the apport information, Sometimes you might even be asked a series of questions to help narrow down your report. When it's done running, you can close the window with the x in the corner.

Then run: apport-collect -p linux 315824

This should attach all the collected info for you to this bug, and let everyone know exactly what hardware we are dealing with.

Also, Have any of you upgraded to Jaunty, Karmic, or Lucid? Have any of you had any better results?

Thanks for your time!

Chris C.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu development release http://cdimage.ubuntu.com/daily-live/current/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Javier Blanco (j2bv16) on 2011-03-10
Changed in linux (Ubuntu):
status: Expired → Confirmed
Vincent (nagy-vincent) on 2011-06-25
Changed in linux (Ubuntu):
status: Confirmed → New
Vincent (nagy-vincent) wrote :

Hi,
I have the same bug... or a similar one on Narval :
Sometimes, after the computer not running any sound and entering the sleep mode (not the hibernate one), softwares keep running correctly but there is no more sound.
I try the recommended process, but it doesn't work
  killall pulseaudio
  sudo alsa force-reload
  pulseaudio -D

I get the following lines about alsa force-reload :
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/vnagy/.gvfs
      Output information may be incomplete.

and this one for pulseaudio -D :
E: main.c: Échec lors du démarrage du démon.
(deamon can't be launched)

I will try to get information on the bug with ubuntu-bug as it appears.

Vincent (nagy-vincent) wrote :

A new element, I manage to get the sound back :
 killall pulseaudio
 pulseaudio -D

In fact, as I kill pulseaudio I have a very few time before the process being re-launched (I don't know why, I don't know by who).
The sound works again only if pulseaudio is launched by me (as the current user) during this moment.

A problem between pulseaudio and the sleep mode ?

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers